<template>
  <div>
    <h1>Home</h1>
    <UserDetails v-if="getFirstUser" :getUser="getFirstUser"/>
  </div>
</template>

<script>
  import {mapGetters} from "vuex";
  import UserDetails from "../components/UserDetails";

  export default {
    name: "MainPage",
    components: {UserDetails},
    mounted () {
      this.initUsersList()
    },
    methods: {
      initUsersList() {
        console.log('initUsersList')
        const payload = {
          page: 1,
          results: 25
        };
        this.$store.dispatch('users/getUsersList', payload)
      }
    },
    computed: {
      ...mapGetters('users', ['getSortedUsers']),
      getFirstUser () {
        return this.getSortedUsers()[0]
      }
    },
  }
</script>
